.rs-algorithm {
  overflow: hidden;
  position: relative;
  padding: 200px 0 876px;
  background-color: #101428;
  text-align: center;
}
.rs-algorithm:before {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 299px;
  background: linear-gradient(0deg, #121525 0%, rgba(18, 21, 37, 0) 90.8%);
  opacity: 0.7;
  z-index: 1;
}
.rs-algorithm__title {
  font-size: 72px;
  font-weight: 600;
  line-height: 130%;
  letter-spacing: -1.44px;
  color: #fff;
}
.rs-algorithm__title .fill {
  position: relative;
  background-color: #fff;
  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
}
.rs-algorithm__title .fill:before {
  content: attr(data-text);
  display: inline-block;
  background: #05d16e;
  position: absolute;
  left: 0;
  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
  width: 0%;
  height: 100%;
  white-space: nowrap;
  transition: 0.4s linear 0.3s;
}
.rs-algorithm__title.common-text-animation .fill:before {
  width: 100%;
}
.rs-algorithm__text {
  margin-top: 40px;
  font-size: 24px;
  font-weight: 400;
  line-height: 150%;
  letter-spacing: -0.24px;
  color: #d1d5db;
}
.rs-algorithm__link {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: fit-content;
  margin-top: 64px;
  padding: 20px 32px;
  background-color: #05d16e;
  border-radius: 8px;
  font-size: 24px;
  font-weight: 600;
  line-height: 150%;
  letter-spacing: -0.24px;
  color: #fff;
}
.rs-algorithm__video {
  position: absolute;
  left: 0;
  top: 740px;
  width: 100%;
}
.rs-algorithm__video video {
  width: 100%;
}
.rs-algorithm__video video.video-mobile {
  display: none;
}

@media screen and (max-width: 1919px) {
  .rs-algorithm {
    padding: 180px 0 731px;
  }
  .rs-algorithm:before {
    height: 249.508px;
  }
  .rs-algorithm__title {
    font-size: 64px;
    letter-spacing: -1.28px;
  }
  .rs-algorithm__text {
    margin-top: 32px;
    font-size: 20px;
    letter-spacing: -0.2px;
  }
  .rs-algorithm__link {
    margin-top: 56px;
  }
  .rs-algorithm__video {
    top: 660px;
  }
}

@media screen and (max-width: 1599px) {
  .rs-algorithm {
    padding: 140px 0 468.15px;
  }
  .rs-algorithm:before {
    height: 160px;
  }
  .rs-algorithm__title {
    font-size: 56px;
    letter-spacing: -1.12px;
  }
  .rs-algorithm__text {
    margin-top: 24px;
    font-size: 18px;
    letter-spacing: -0.18px;
  }
  .rs-algorithm__link {
    margin-top: 48px;
    padding: 17px 24px;
    font-size: 20px;
    letter-spacing: -0.2px;
  }
  .rs-algorithm__video {
    top: 550px;
  }
}

@media screen and (max-width: 768px) {
  .rs-algorithm {
    padding: 80px 0 210px;
  }
  .rs-algorithm__title {
    font-size: 32px;
    letter-spacing: -0.32px;
  }
  .rs-algorithm__text {
    margin-top: 12px;
    font-size: 15px;
  }
  .rs-algorithm__link {
    margin-top: 32px;
    padding: 15px 16px;
    font-size: 16px;
    letter-spacing: -0.16px;
  }
  .rs-algorithm__video {
    top: auto;
    left: 50%;
    bottom: -70px;
    width: 600px;
    margin-left: -300px;
  }
  .rs-algorithm__video video.video-mobile {
    display: block;
  }
  .rs-algorithm__video video.video-desktop {
    display: none;
  }
}
@media screen and (max-width: 500px) {
  .rs-algorithm__video {
    bottom: -20px;
    width: 400px;
    margin-left: -200px;
  }
}
@media screen and (max-width: 400px) {
  .rs-algorithm__video {
    bottom: -20px;
    width: 400px;
    margin-left: -200px;
  }
}
